## fcitx5-table-extra-5.0.4-1.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(fcitx5-table-extra VERSION 5.0.4 LANGUAGES NONE)

find_package(ECM 1.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(Gettext REQUIRED)
find_package(LibIMETable REQUIRED)
find_package(Fcitx5Core REQUIRED)

add_subdirectory(icons)
add_subdirectory(tables)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.TableExtra.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.TableExtra.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.TableExtra.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tables/CMakeLists.txt ===
set(TABLE_NAME
  boshiamy zhengma cangjie3 cangjie5 cangjie-large
  quick3 quick5 quick-classic
  scj6 easy-large wu cantonese cantonhk jyutping-table stroke5 array30 array30-large
  wubi-large zhengma-large zhengma-pinyin
  t9
  )

set(MB_FILE)
set(CONF_FILE)

foreach(table ${TABLE_NAME})
  fcitx5_translate_desktop_file("${table}.conf.in" "${table}.conf")
  add_custom_command(OUTPUT "${table}.main.dict"
    DEPENDS "${table}.txt"
    COMMAND LibIME::tabledict ARGS "${CMAKE_CURRENT_SOURCE_DIR}/${table}.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/${table}.main.dict")
  set(MB_FILE ${MB_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.main.dict")
  set(CONF_FILE ${CONF_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.conf")
endforeach()
add_custom_target(table_data ALL DEPENDS ${MB_FILE})

install(FILES ${CONF_FILE} DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod")
install(FILES ${MB_FILE} DESTINATION "${FCITX_INSTALL_PKGDATADIR}/table")

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: csslayer <wengxt AT gmail com>

pkgname=fcitx5-table-extra
pkgver=5.0.4
pkgrel=1
pkgdesc="Extra tables for Fcitx5"
arch=('any')
url="https://github.com/fcitx/fcitx5-table-extra"
license=('GPL')
depends=('fcitx5-chinese-addons')
makedepends=('extra-cmake-modules' 'boost')
source=("https://download.fcitx-im.org/fcitx5/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
sha512sums=('df0aa8181b7e0860c5698badf6012e81f7c3d3440ce621895e535b64eac6fdebbbf43a79e99769bb719eb969d1495587a89e0a201cc0d557535ae87a602c3ba7'
            'SKIP')
validpgpkeys=('2CC8A0609AD2A479C65B6D5C8E8B898CBF2412F9') # Weng Xuetian <wengxt@gmail.com>

build(){
  cd $pkgname-$pkgver

  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=/usr/lib .
  make
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="$pkgdir" install
}
